## ros-iron-rmf-task-ros2 2.2.2

=== debian/changelog ===
ros-iron-rmf-task-ros2 (2.2.2-1jammy) jammy; urgency=high

  * Improve linking time (#300 <https://github.com/open-rmf/rmf_ros2/pull/300>)
  * Contributors: Grey, Luca Della Vedova, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.2.1-1jammy) jammy; urgency=high

  * Adding initiator and request time to booking (#285 <https://github.com/open-rmf/rmf_ros2/pull/285>)
  * Contributors: Aaron Chong, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.2.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.1.5-1jammy) jammy; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.1.4-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.1.3-1jammy) jammy; urgency=high

  * Link Threads to fix build errors on certain platforms: (#204 <https://github.com/open-rmf/rmf_ros2/pull/204>)
  * Contributors: decada-robotics, Grey

 -- Yadunund <yadunund@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.1.2-1jammy) jammy; urgency=high

  * Add find_package for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Contributors: Steven! Ragnarök

 -- youliang <youliang@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.1.0-1jammy) jammy; urgency=high

  * Change default task auction evaluator to QuickestFinishEvaluator: (#211 <https://github.com/open-rmf/rmf_ros2/pull/211>)
  * ws broadcast client in dispatcher node (#212 <https://github.com/open-rmf/rmf_ros2/pull/212>)
  * create unique task_id with timestamp (#223 <https://github.com/open-rmf/rmf_ros2/pull/223>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-rmf-task-ros2 (2.0.0-1jammy) jammy; urgency=high

  No changes yet

 -- Yadunund <yadunund@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-iron-rmf-task-ros2 (1.5.0-1jammy) jammy; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-iron-rmf-task-ros2 (1.3.0-1jammy) jammy; urgency=high

  * Introduce dispatcher node to facilitate dispatching of tasks: (#217 <https://github.com/osrf/rmf_core/pull/217>)

 -- Yadunund <yadunund@openrobotics.org>  Tue, 12 Jan 2021 16:00:00 -0000
