=== debian/control ===
Source: ros-iron-rmf-task-ros2
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, nlohmann-json3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-catch2 <!nocheck>, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-nlohmann-json-schema-validator-vendor, ros-iron-rclcpp, ros-iron-rmf-api-msgs, ros-iron-rmf-task-msgs, ros-iron-rmf-traffic, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils, ros-iron-rmf-websocket, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-task-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-iron-nlohmann-json-schema-validator-vendor, ros-iron-rclcpp, ros-iron-rmf-api-msgs, ros-iron-rmf-task-msgs, ros-iron-rmf-traffic, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils, ros-iron-rmf-websocket, ros-iron-ros-workspace
Description: A package managing the dispatching of tasks in RMF system.
